## buteo-syncfw-qml 0.1+15.10.20151008

=== CMakeLists.txt ===
project(buteo-sync-qml)

cmake_minimum_required(VERSION 2.8.9)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG")

# Standard install paths
include(GNUInstallDirs)

find_package(PkgConfig REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5Qml REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Xml REQUIRED)

# Coverage tools
OPTION(ENABLE_COVERAGE "Build with coverage analysis support" OFF)
if(ENABLE_COVERAGE)
    message(STATUS "Using coverage flags")
    find_program(COVERAGE_COMMAND gcov)
    if(NOT COVERAGE_COMMAND)
        message(FATAL_ERROR "gcov command not found")
    endif()
    SET(CMAKE_C_FLAGS "-g -O0 -Wall -fprofile-arcs -ftest-coverage")
    SET(CMAKE_CXX_FLAGS "-g -O0 -Wall -fprofile-arcs -ftest-coverage")
    SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fprofile-arcs -ftest-coverage -lgcov")
    include(${CMAKE_SOURCE_DIR}/cmake/lcov.cmake)
endif()

enable_testing()
add_subdirectory(Buteo)
add_subdirectory(tests)

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== Buteo/CMakeLists.txt ===
set(BUTEO_SYNC_QML_PLUGIN "buteo-syncfw-qml")

set(BUTEO_SYNC_QML_PLUGIN_SRCS
    buteo-sync-qml.cpp
    buteo-sync-qml.h
    plugin.h
    plugin.cpp
)

set(BUTEO_SYNC_QML_PLUGIN_FILES
    qmldir
)

add_library(${BUTEO_SYNC_QML_PLUGIN} MODULE
    ${BUTEO_SYNC_QML_PLUGIN_SRCS}
)

target_link_libraries(${BUTEO_SYNC_QML_PLUGIN}
    Qt5::Core
    Qt5::Qml
    Qt5::DBus
    Qt5::Xml
)

#copy qml files to build dir to make it possible to run without install
add_custom_target(buteo_components_QmlFiles ALL SOURCES ${BUTEO_SYNC_QML_PLUGIN_FILES})
if(NOT ${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
  add_custom_command(TARGET buteo_components_QmlFiles PRE_BUILD
                     COMMAND ${CMAKE_COMMAND} -E
                         copy ${CMAKE_CURRENT_SOURCE_DIR}/qmldir ${CMAKE_CURRENT_BINARY_DIR}/)
endif()

execute_process(
    COMMAND qmake -query QT_INSTALL_QML
    OUTPUT_VARIABLE QT_IMPORTS_DIR
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
install(TARGETS ${BUTEO_SYNC_QML_PLUGIN} DESTINATION ${QT_IMPORTS_DIR}/Buteo/)
install(FILES ${BUTEO_SYNC_QML_PLUGIN_FILES} DESTINATION ${QT_IMPORTS_DIR}/Buteo/)

## buteo-syncfw-qml 0.3

=== debian/changelog ===
buteo-syncfw-qml (0.3-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 31 May 2024 00:35:49 +0200

buteo-syncfw-qml (0.3-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1071863).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 May 2024 07:24:43 +0200

=== debian/control ===
Source: buteo-syncfw-qml
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               dbus-test-runner,
               debhelper-compat (= 13),
               pkgconf,
               qml-module-qttest,
               qtbase5-dev,
               qtdeclarative5-dev,
               python3:any,
               python3-dbus,
               python3-gi,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/buteo-syncfw-qml
Vcs-Git: https://salsa.debian.org/ubports-team/buteo-syncfw-qml.git
Vcs-Browser: https://salsa.debian.org/ubports--team/buteo-syncfw-qml

Package: qml-module-buteo-syncfw
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: buteo-syncfw
Description: Buteo sync framework client - QML bindings
 Synchronization of contact data in Lomiri is controlled by Buteo (the
 synchronization framework used in Ubuntu Touch and SailfishOS).
 Synchronization with a variety of data sources is supported through a
 number of data-source-specific synchronization plugins. Each plugin is
 independent, although many of them share significant amounts of code to
 ease maintenance.
 .
 This package contains the QML plugin providing Buteo's features to
 applications.

## buteo-syncfw-qml 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(buteo-sync-qml)
 
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.10)
 
 # Find includes in corresponding build directories
 set(CMAKE_INCLUDE_CURRENT_DIR ON)

=== tests/qml/CMakeLists.txt ===
find_program(QMLTESTRUNNER_BIN
    NAMES qmltestrunner
    PATHS /usr/lib/*/qt5/bin
    NO_DEFAULT_PATH
)

find_program(DBUS_RUNNER_BIN dbus-test-runner)
macro(DECLARE_QML_TEST TST_NAME TST_QML_FILE)
    set(TEST_COMMAND "")
    add_test(NAME ${TST_NAME}
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
        COMMAND ${DBUS_RUNNER_BIN}
                --task ${CMAKE_CURRENT_SOURCE_DIR}/buteo-syncfw.py -r -n buteo-syncfw
                --task ${QMLTESTRUNNER_BIN}
                    -p -input -p ${CMAKE_CURRENT_SOURCE_DIR}/${TST_QML_FILE}
                    -p -import -p ${CMAKE_BINARY_DIR}
                    -p -platform -p offscreen
                --wait-for=com.meego.msyncd
                -n ${TST_NAME}
    )
endmacro()

if(QMLTESTRUNNER_BIN AND DBUS_RUNNER_BIN)
    declare_qml_test("buteo_syncfw_component" tst_ButeoSyncFW.qml)
else()
    if (NOT QMLTESTRUNNER_BIN)
        message(WARNING "Qml tests disabled: qmltestrunner not found")
    else()
        message(WARNING "Qml tests disabled: dbus-test-runner not found")
    endif()
endif()

set(QML_TST_FILES
    tst_ButeoSyncFW.qml
)
add_custom_target(tst_QmlFiles ALL SOURCES ${QML_TST_FILES})

=== debian/changelog ===
buteo-syncfw-qml (0.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Support building with CMake 4. (Closes: #1112740).
  * debian/copyright:
    + Fix license text for LGPL-3+.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Drop 0001_Remove-not-used-anywhere-method-declaration.patch. Applied
      upstream.
    + Rebase 1002_stabilize-cleanupTestCase.patch.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Oct 2025 10:28:48 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3:any,
                python3-dbus,
                python3-gi,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/core/buteo-syncfw-qml
 Vcs-Git: https://salsa.debian.org/ubports-team/buteo-syncfw-qml.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DPKG_GENSYMBOLS_CHECK_LEVEL=1

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
